/***************************************************************************
                          rprgdef.h  -  description
                             -------------------
    begin                : Mon Sep 27 1999
    copyright            : (C) 1999 by Andreas Mustun
    email                : andrew@ribbonsoft.com
 ***************************************************************************/

// Program defines:
//

#ifndef RPRGDEF_H
#define RPRGDEF_H

#include <qwindowdefs.h>
  
// Debug level
//
//#define DEF_RDEBUG          // Debug Messages to debug file
//#define DEF_RDEBUGTIME      // Debug Times to debug file
//#define DEF_LESS_DIALOGS    // Show the startup dialog?


// Uncomment for Linux
///*
#define DEF_LINUX           // Are we running Linux?
#define RUNNING_LINUX   true
#define RUNNING_WINDOWS false
#define RUNNING_SOLARIS false
//*/



// Uncomment for Solaris
/*
#define DEF_SOLARIS           // Are we running Solaris?
#define RUNNING_SOLARIS true
#define RUNNING_WINDOWS false
#define RUNNING_LINUX   false
*/


// Uncomment for Windoze
/*
#define DEF_WINDOWS           // Iiiik - we're running windoze!!!
#define RUNNING_WINDOWS true
#define RUNNING_LINUX   false
#define RUNNING_SOLARIS false
*/



// Program versions / modules:
//
//#define DEF_DEMO 500        // Demoversion

// Expires on 1999 12 30:
//
#define DEF_EXPIRY_DATE    1999, 12, 30
#define DEF_EXPIRED_MESSAGE "Your trial period has expired!\nSaving and printing functions are disabled now.\nPlease contact us at\nhttp://www.ribbonsoft.com\nto get more information."

#ifdef DEF_SOLARIS
#define true 1
#define false 0
#endif

//#define DEF_CAM_EXPERT    // Compile CAM Expert
#define DEF_QCAD            // Compile QCad


// QCad specific defines:
//
#ifdef DEF_QCAD
#define   DEF_APPNAME      "QCad"
#define   DEF_APPNAME_L    "qcad"
#define   DEF_APP_ICON     qcad_xpm
#define   DEF_ORG_ICON     apsicon_xpm
#define   DEF_INTRO        qcadintro_xpm
#define   DEF_INTRO_VERX   185
#define   DEF_INTRO_VERY   156
#define   DEF_WIN_VERSION  "1.3.3"
#define   DEF_LIN_VERSION  "1.3.3"
#define   DEF_FIRM         "Andrew's Public Software"
#define   DEF_SUPPORTEMAIL "andrew@qcad.org"
#define   DEF_INTERNET     "http://www.qcad.org"
#define   DEF_RECENTPOS    13                // The index, where recent files get inserted
                                             //   = first index after "Quit" and the Seperator
#endif


// CAM Expert specific defines:
//
#ifdef DEF_CAM_EXPERT
#define   DEF_APPNAME      "CAM Expert"
#define   DEF_APPNAME_L    "camexp"
#define   DEF_APP_ICON     camexpert_xpm
#define   DEF_ORG_ICON     firmicon_xpm
#define   DEF_INTRO        camexpertintro_xpm
#define   DEF_INTRO_VERX   190
#define   DEF_INTRO_VERY   156
#define   DEF_WIN_VERSION  "2.3.0"
#define   DEF_LIN_VERSION  "2.3.0"
#define   DEF_FIRM         "RibbonSoft"
#define   DEF_SUPPORTEMAIL "info@ribbonsoft.com"
#define   DEF_INTERNET     "www.ribbonsoft.com"
#define   DEF_RECENTPOS    13              // The index, where recent files get inserted
                                           //   = first index after "Quit" and the Seperator
#endif

// General defines:
//
#define DEF_RELEASE      "12/Dec/1999"
#define DEF_PROGRAMMER   "Andrew Mustun"

#define DEF_MAXDOCUMENTS 128    // Max number of documents that can be loaded
#define DEF_RECENTFILES  10     // Number of recent files in "File"-Menu
#define DEF_MESSAGES     512    // Number of messages from (languages.cxl)
#define DEF_MENUBUF      8      // Menu Buffer
                                //   (right mouse click can go back ... menus)

// Windows specific settings:
//
#ifndef DEF_LINUX
#define   DEF_DEBUGFILE    "debug.txt"
#define   DEF_VERSION DEF_WIN_VERSION
#else

// Linux specific settings:
//
#define   DEF_DEBUGFILE    "./debug.txt"
#define   DEF_VERSION DEF_LIN_VERSION
#endif

#endif

// EOF


